#
# spec file for package rubygem-rack
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygem-rack
Version:        1.2.1
Release:        1.2
%define mod_name rack
# FIXME: temporarily ship 1.1.0 aswell so we can still use rails < 3
%define old_version 1.1.0
#
Group:          Development/Languages/Ruby
License:        MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
%rubygems_requires
# FIXME: temporarily ship 1.1.0 aswell so we can still use rails < 3
Provides:       %{name} = %{old_version}-%{release}
#
Url:            http://rack.rubyforge.org
Source:         %{mod_name}-%{version}.gem
# FIXME: temporarily ship 1.1.0 aswell so we can still use rails < 3
Source1:        %{mod_name}-%{old_version}.gem
#
Summary:        Minimal interface between webservers supporting Ruby and Ruby frameworks

%description
Rack provides minimal, modular and adaptable interface for developing
web applications in Ruby.  By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.

Also see http://rack.rubyforge.org.

%prep

%build

%install
%gem_install %{S:1}
%gem_install %{S:0}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/rackup
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/
# FIXME: temporarily ship 1.1.0 aswell so we can still use rails < 3
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{old_version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{old_version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{old_version}.gemspec
%doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{old_version}/

%changelog
* Mon Aug 30 2010 mrueckert@suse.de
- add back rack 1.1.0 for rails < 3
* Mon Aug 30 2010 mrueckert@suse.de
- update to version 1.2.1
  * Make CGI handler rewindable
  * Rename spec/ to test/ to not conflict with SPEC on lesser
    operating systems
- additional changes from 1.2.0
  * Removed Camping adapter: Camping 2.0 supports Rack as-is
  * Removed parsing of quoted values
  * Add Request.trace? and Request.options?
  * Add mime-type for .webm and .htc
  * Fix HTTP_X_FORWARDED_FOR
  * Various multipart fixes
  * Switch test suite to bacon
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri May 28 2010 mrueckert@suse.de
- new rails 2.3 branch requires 1.1 finally. drop 1.0
* Thu Feb 25 2010 mrueckert@suse.de
- ugly hack: added back rack 1.0.1 to the package. rails 2.3 still
  needs it
* Wed Feb 24 2010 mrueckert@suse.de
- update to version 1.1.0
  * Moved Auth::OpenID to rack-contrib.
  * SPEC change that relaxes Lint slightly to allow subclasses of the
    required types
  * SPEC change to document rack.input binary mode in greator detail
  * SPEC define optional rack.logger specification
  * File servers support X-Cascade header
  * Imported Config middleware
  * Imported ETag middleware
  * Imported Runtime middleware
  * Imported Sendfile middleware
  * New Logger and NullLogger middlewares
  * Added mime type for .ogv and .manifest.
  * Don't squeeze PATH_INFO slashes
  * Use Content-Type to determine POST params parsing
  * Update Rack::Utils::HTTP_STATUS_CODES hash
  * Add status code lookup utility
  * Response should call #to_i on the status
  * Add Request#user_agent
  * Request#host knows about forwared host
  * Return an empty string for Request#host if HTTP_HOST and
    SERVER_NAME are both missing
  * Allow MockRequest to accept hash params
  * Optimizations to HeaderHash
  * Refactored rackup into Rack::Server
  * Added Utils.build_nested_query to complement Utils.parse_nested_query
  * Added Utils::Multipart.build_multipart to complement
    Utils::Multipart.parse_multipart
  * Extracted set and delete cookie helpers into Utils so they can be
    used outside Response
  * Extract parse_query and parse_multipart in Request so subclasses
    can change their behavior
  * Enforce binary encoding in RewindableInput
  * Set correct external_encoding for handlers that don't use RewindableInput
* Tue Dec  1 2009 chris@computersalat.de
- update to version 1.0.1
  * Bump remainder of rack.versions.
  * Support the pure Ruby FCGI implementation.
  * Fix for form names containing "=": split first then unescape components
  * Fixes the handling of the filename parameter with semicolons in names.
  * Add anchor to nested params parsing regexp to prevent stack overflows
  * Use more compatible gzip write api instead of "<<".
  * Make sure that Reloader doesn't break when executed via ruby -e
  * Make sure WEBrick respects the :Host option
  * Many Ruby 1.9 fixes.
* Fri Aug  7 2009 dmacvicar@novell.com
- update to version 1.0.0
  * Rack::VERSION has been pushed to [1,0].
  * Header values must be Strings now, split on "\n".
  * rack.input must be rewindable and support reading into a buffer,
  wrap with Rack::RewindableInput if it isn't.
  * Content-Length can be missing, in this case chunked transfer
  encoding is used.
  * Bodies can now additionally respond to #to_path with a filename to
  be served.
  * String bodies are deprecated and will not work with Ruby 1.9, use an
  Array with a single String instead.
  * rack.session is now specified.
  * Use Rack::Lint to find out in which ways this possibly broke your
  applications and middleware.
  * SPEC changes, see above.
  * New middleware Rack::Lock.
  * New middleware Rack::ContentType.
  * Rack::Reloader has been rewritten.
  * Major update to Rack::Auth::OpenID.
  * Support for nested parameter parsing in Rack::Response.
  * Support for redirects in Rack::Response.
  * HttpOnly cookie support in Rack::Response.
  * The Rakefile has been rewritten.
  * Many bugfixes and small improvements.
* Mon Jan 12 2009 mrueckert@suse.de
- update to version 0.9.1
  * Fix directory traversal exploits in Rack::File and
    Rack::Directory.
- additional changes from 0.9.0
  * Rack is now managed by the Rack Core Team.
  * Rack::Lint is stricter and follows the HTTP RFCs more closely.
  * Added ConditionalGet middleware.
  * Added ContentLength middleware.
  * Added Deflater middleware.
  * Added Head middleware.
  * Added MethodOverride middleware.
  * Rack::Mime now provides popular MIME-types and their extension.
  * Mongrel Header now streams.
  * Added Thin handler.
  * Official support for swiftiplied Mongrel.
  * Secure cookies.
  * Made HeaderHash case-preserving.
  * Many bugfixes and small improvements.
* Mon Aug 25 2008 mrueckert@suse.de
- update to version 0.4.0:
  * New middleware, Rack::Deflater, by Christoffer Sawicki.
  * OpenID authentication now needs ruby-openid 2.
  * New Memcache sessions, by blink.
  * Explicit EventedMongrel handler, by Joshua Peek.
  * Rack::Reloader is not loaded in rackup development mode.
  * rackup can daemonize with -D.
  * Many bugfixes, especially for pool sessions, URLMap, thread
    safety and tempfile handling.
  * Improved tests.
  * Rack moved to Git.
* Tue Feb 26 2008 mrueckert@suse.de
- update to version 0.3.0:
  * LiteSpeed handler, by Adrian Madrid.
  * SCGI handler, by Jeremy Evans.
  * Pool sessions, by blink.
  * OpenID authentication, by blink.
  * :Port and :File options for opening FastCGI sockets, by blink.
  * Last-Modified HTTP header for Rack::File, by blink.
  * Rack::Builder#use now accepts blocks, by Corey Jewett.
    (See example/protectedlobster.ru)
  * HTTP status 201 can contain a Content-Type and a body now.
  * Many bugfixes, especially related to Cookie handling.
* Wed Jun  6 2007 mrueckert@suse.de
- initial package of version 0.2.0
